Subject: Re: bug#41744: 27.0.91; Various D-Bus cleanups

From: "Basil L. Contovounesios" <[email-masked]>
Date: Thu, 18 Jun 2020 16:34:54 +0100

tags 41744 fixed
close 41744 28.1
quit

Michael Albinus <[email-masked]> writes:

>> --- a/lisp/net/dbus.el
>> +++ b/lisp/net/dbus.el
>> @@ -169,7 +166,6 @@ dbus-ignore-errors
>>
>>  (define-obsolete-variable-alias 'dbus-event-error-hooks
>>    'dbus-event-error-functions "24.3")
>
> I believe we should remove this variable now.
>
>> @@ -339,8 +335,8 @@ dbus-call-method
>>
>> +(define-obsolete-function-alias 'dbus-call-method-non-blocking
>> +  #'dbus-call-method "24.3")
>
> Dito.

Done.

> Otherwise, it looks good to me (but I haven't tested comprehensively).

Thanks.  I pushed it to master so we can get some help with the
comprehensive testing. ;)

Various dbus.el cleanups (bug#41744)
97d1f672ac 2020-06-18 12:20:48 +0100
https://git.savannah.gnu.org/cgit/emacs.git/commit/?id=97d1f672ac1529ac07a999405f630cb19a1010eb

> For a while, I have on my wishlist to declare a D-Bus event as a
> defstruct, like this:
>
> (cl-defstruct (dbus-event (:type list) :named)
>   "A D-Bus event, coming from or sent to other applications."
>   bus-name message-type serial-number
>   service-name path-name interface-name member-name handler)
>
> But I don't know whether it is worth the effort.

I'm not yet familiar with cl-defstruct so I'll put it on my wishlist
too. :)

Thanks again,

-- 
Basil